hw_Document_Content
hw_Document_Size
Hyperwave Functions
PHP Manual

# hw_Document_SetContent

Sets/replaces content of hw_document

### Description

bool hw_document_setcontent ( int `$hw_document` , string `$content` )

Sets or replaces the content of the document. If the document is an HTML document the content is everything after the BODY tag. Information from the HEAD and BODY tag is in the stored in the object record. If you provide this information in the content of the document too, the Hyperwave server will change the object record accordingly when the document is inserted. Probably not a very good idea. If this functions fails the document will retain its old content.

### Parameters

`hw_document`

  The document identifier.

`content`

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- hw_document_attributes
- hw_document_size
- hw_document_content